Options.Rename (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: Options, enum: Rename

Package org.apache.hadoop.fs

# Enum Class Options.Rename

java.lang.Object
java.lang.Enum<Options.Rename>
org.apache.hadoop.fs.Options.Rename

All Implemented Interfaces:
  `Serializable`, `Comparable<Options.Rename>`, `Constable`

Enclosing class:
  Options

public static enum Options.Rename extends Enum<Options.Rename>
Enum to support the varargs for rename() options

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `OVERWRITE`
  `TO_TRASH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `value()`
  `static Options.Rename`
  `valueOf(byte code)`
  Returns the enum constant of this class with the specified name.
  `static Options.Rename`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Options.Rename[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Options.Rename NONE

  - ### OVERWRITE

    public static final Options.Rename OVERWRITE

  - ### TO_TRASH

    public static final Options.Rename TO_TRASH

- ## Method Details

  - ### values

    public static Options.Rename[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Options.Rename valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static Options.Rename valueOf(byte code)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `code` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public byte value()